import { fetchUserAbilities, fetchUserStaff } from "@/app/utils/fetchUtil";
import StaffUtilization from "./StaffUtilization";

const StaffUtilizationWrapper: React.FC = async () => {
    const [abilities, staff] = await Promise.all([
        fetchUserAbilities(),
        fetchUserStaff(),
    ]);

    return (
        <StaffUtilization abilities={abilities} staff={staff} />
    );
};

export default StaffUtilizationWrapper;
